#!/bin/sh
WAS_HOME="/opt/michel/WASUpdateInstaller"
newUserString=user=$HOME
linuxMenuDirectory=${WAS_HOME}/properties/version/nif/config/linuxMenu
startMenuLocation=/etc/xdg/menus/applications-merged

numberFile=${linuxMenuDirectory}/productShortCut2StartMenuUPDI.txt
if [ ! -f $numberFile ]
then
	echo "$numberFile does not exist"
	exit 1
fi
exec 3<$numberFile
read -u3 num
#num=${num#number=}
read -u3 user
#user=${user#user=}
echo $num, $user
exec 3<&-
declare -i counter=
if [ -f $startMenuLocation/WebSphereUpdateInstall.menu ]
then
    counter=1
fi
while [ -f $startMenuLocation/WebSphereUpdateInstall$counter.menu ]
do
  counter=$counter+1
done
newNumString=number=$counter
#newUserString=user=$LOGNAME
#replaces number in productShortCut2StartMenuUPDI.txt
awk -v numb=$num -v newNumb=$newNumString '{gsub(numb,newNumb,$0);print > FILENAME}' $numberFile
awk -v user1=$user -v newUser1=$newUserString '{gsub(user1,newUser1,$0);print > FILENAME}' $numberFile

if [ $counter == 0 ]
then
  counterString=
  directoryString=
else
  counterString=$counter
  directoryString=" ($counter)"
fi

if [ -f ${linuxMenuDirectory}/applications/Support.desktop ]
then
awk -v numb=${counterString} '{gsub("\\${NUMBER}",numb,$0);print > FILENAME}' ${linuxMenuDirectory}/applications/Support.desktop
fi

if [ -f ${linuxMenuDirectory}/applications/InfoCenter.desktop ]
then
awk -v numb=${counterString} '{gsub("\\${NUMBER}",numb,$0);print > FILENAME}' ${linuxMenuDirectory}/applications/InfoCenter.desktop
fi

if [ -f ${linuxMenuDirectory}/applications/UpdateInstaller.desktop ]
then
awk -v numb=${counterString} '{gsub("\\${NUMBER}",numb,$0);print > FILENAME}' ${linuxMenuDirectory}/applications/UpdateInstaller.desktop
fi

if [ -f ${linuxMenuDirectory}/directories/WebSphereUpdateInstall.directory ]
then
awk -v numb="${directoryString}" '{gsub("\\${NUMBER}",numb,$0);print > FILENAME}' ${linuxMenuDirectory}/directories/WebSphereUpdateInstall.directory
fi

if [ -f ${linuxMenuDirectory}/menus/WebSphereUpdateInstall.menu ]
then
awk -v numb=${counterString} '{gsub("\\${NUMBER}",numb,$0);print > FILENAME}' ${linuxMenuDirectory}/menus/WebSphereUpdateInstall.menu
fi


if [ -f ${linuxMenuDirectory}/menus/UpdateInstaller.menu ]
then
awk -v numb=${counterString} '{gsub("\\${NUMBER}",numb,$0);print > FILENAME}' ${linuxMenuDirectory}/menus/UpdateInstaller.menu
fi
